List Event Registrations
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/registrationsimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/registrations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/registrations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/registrations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"registration_code": "<string>",
"event_id": 123,
"event_name": "<string>",
"customer_id": 123,
"customer": {},
"order_id": 123,
"order_item_id": 123,
"quantity": 123,
"status": "<string>",
"status_label": "<string>",
"payment_status": "<string>",
"notes": "<string>",
"ticket_types": [
{}
],
"tickets": [
{}
]
}Registrations
List Event Registrations
Retrieve event registrations with optional filtering and pagination.
GET
/
wp-json
/
latepoint-api
/
v1
/
events
/
registrations
List Event Registrations
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/registrationsimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/registrations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/registrations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/registrations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"registration_code": "<string>",
"event_id": 123,
"event_name": "<string>",
"customer_id": 123,
"customer": {},
"order_id": 123,
"order_item_id": 123,
"quantity": 123,
"status": "<string>",
"status_label": "<string>",
"payment_status": "<string>",
"notes": "<string>",
"ticket_types": [
{}
],
"tickets": [
{}
]
}Registrations are created by customers through LatePoint’s booking form and checkout, not through the API. The API can read and cancel them.
Query Parameters
integer
default:"1"
Page number for pagination
integer
default:"10"
Number of registrations per page
integer
Filter by event ID
integer
Filter by customer ID
integer
Filter by order ID
string
Filter by status. Available values:
pending, confirmed, cancelled, checked_instring
Filter by payment status, for example
not_paid, partially_paid, fully_paidstring
Filter by registration code (case-insensitive)
string
Only registrations created on or after this moment (
YYYY-MM-DD HH:MM:SS, UTC)string
Only registrations created on or before this moment (
YYYY-MM-DD HH:MM:SS, UTC)string
default:"desc"
Sort direction by creation date. Valid values:
asc, descExample Request
GET /wp-json/latepoint-api/v1/events/registrations?event_id=3&status=confirmed
Authorization: Bearer YOUR_API_KEY
Response
{
"success": true,
"data": [
{
"id": 1,
"registration_code": "EAMDZKKG",
"event_id": 3,
"event_name": "Free Meetup",
"customer_id": 40,
"customer": {
"id": 40,
"first_name": "Api",
"last_name": "Tester",
"full_name": "Api Tester",
"email": "api.tester@example.com",
"phone": ""
},
"order_id": 89,
"order_item_id": 72,
"quantity": 2,
"status": "confirmed",
"status_label": "Confirmed",
"payment_status": "not_paid",
"notes": null,
"created_at": "2026-10-28 15:20:11",
"updated_at": "2026-10-28 15:20:11",
"ticket_types": []
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_previous_page": false
}
}
Response Fields
integer
Unique identifier for the registration
string
Registration code shown to the customer
integer
Event ID
string
Event name
integer
Customer ID
object
Customer summary (
id, first_name, last_name, full_name, email, phone)integer
Order ID.
null for places given from the waiting list.integer
Order item ID
integer
Number of places (attendees)
string
pending, confirmed, cancelled or checked_instring
Human-readable status
string
Payment status, for example
not_paid, partially_paid, fully_paidstring
Notes
array
Pro. Ticket types bought (
ticket_type_id, name, quantity, price, total). Present when LatePoint Pro Features is installed; empty when the event does not use ticket types.array
Pro. E-tickets of the registration. Only included in Get Event Registration.
